Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatStoryInteractions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StoryInteractions>
it.tdlight.jni.TdApi.GetChatStoryInteractions

Enclosing class:
  TdApi

public static final class TdApi.GetChatStoryInteractions extends TdApi.Function<TdApi.StoryInteractions>
Returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

Returns `StoryInteractions`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of story interactions to return.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`boolean`
`preferForwards`
Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
`TdApi.ReactionType`
`reactionType`
Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions.
`int`
`storyId`
Story identifier.
`long`
`storySenderChatId`
The identifier of the sender of the story.

## Constructor Summary

Constructors
Constructor
Description
`GetChatStoryInteractions()`
Returns interactions with a story posted in a chat.
`GetChatStoryInteractions(long storySenderChatId, int storyId, TdApi.ReactionType reactionType, boolean preferForwards, String offset, int limit)`
Returns interactions with a story posted in a chat.
`GetChatStoryInteractions(DataInput input)`
Returns interactions with a story posted in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### storySenderChatId

public long storySenderChatId
The identifier of the sender of the story.

### storyId

public int storyId
Story identifier.

### reactionType

public TdApi.ReactionType reactionType
Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions.

### preferForwards

public boolean preferForwards
Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of story interactions to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatStoryInteractions

public GetChatStoryInteractions()
Returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

Returns `StoryInteractions`

### GetChatStoryInteractions

public GetChatStoryInteractions(long storySenderChatId, int storyId, TdApi.ReactionType reactionType, boolean preferForwards, String offset, int limit)
Returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

Returns `StoryInteractions`

Parameters:
  `storySenderChatId` - The identifier of the sender of the story.
  `storyId` - Story identifier.
  `reactionType` - Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions.
  `preferForwards` - Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of story interactions to return.

  Returns `StoryInteractions`

### GetChatStoryInteractions

public GetChatStoryInteractions(DataInput input) throws IOException
Returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

Returns `StoryInteractions`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`